Recent Posts

Pages: [1] 2 3 ... 10
1
Cards: The Package Manager / Re: Automatic Updates
« Last post by Thierry on Tue Jun 21 21:03:12 2022 »
Hello ndawka

Welcome to the NuTyX forums.

I suggest you to use upgrade-nutyx package

http://nutyx.org/en/upgrade-nutyx

Best regards
Thierry
2
Cards: The Package Manager / Automatic Updates
« Last post by ndawka on Sun Jun 19 23:31:54 2022 »
Hello! I am trying to make my system update automatically in the background (unattended). Is there a tool similar to dnf-automatic in Fedora (perhaps something like cards-automatic) that will enable automatic updates? Maybe there is such option in the flcards package?
3
Tips and Tricks / Re: [SOLVED]: Can't open NTFS USB-PenDrive or -HDD in thunar
« Last post by Thierry on Mon Jun 13 14:14:14 2022 »
Thanks a lot for this excellent detail explanations. I took the chance to highlight your text where it needs to be  ;)

Regards,
Thierry
4
Tips and Tricks / [SOLVED]: Can't open NTFS USB-PenDrive or -HDD in thunar
« Last post by Nautilus on Thu Jun 09 18:12:34 2022 »
Initial situation:
NuTyX x86_64 5.18.1 (actual Release) with Xfce.
Installation went seamless, thanks to excellent NuTyX documentation and guides on homepage.

Issue:
My only "main issue" is the problem of opening a NTFS-formatted USB-PenDrive or USB-HDD with NTFS-partition within thunar.
Note: an ext4-formatted USB-HDD-partition can be opened (mounted) in thunar w/o any problems.

NTFS USB-PenDrive is displayed on desktop (icon) and also in thunar (name) correctly.
But when using functionality "Open" or "Mount Volume", nothing happens. Afterwards NuTyX looses functionality of "Restart, Shutdown,...".

Manual mount of NTFS USB-PenDrive with "sudo mount -t ntfs-3g /dev/sdb1 /run/media/USER/usb" works fine, also command "sudo umount..." for eject PenDrive. But this handling isn't lean and should work within thunar.

Proposal for Solution:
Thierry sent me the right proposal for solution:
Quote
can you try to go back to an older kernel then the 5.18, as they did change the ntfs modules. If you install LTS kernel-510 they is a big chance that you will have all back to normal. I know that upstream development of the ntfs-3g software is still under develop (to cover the new kernel module).
This tuto will be a great help for changing kernel:  http://nutyx.org/en/change-boot-kernel

Verification of Solution:
I installed kernel-510 (long time support Linux kernel) and perfomed GRUB update.
Now, after reboot:
- loaded kernel is 5.10.119-NuTyX-510
- NTFS USB-PenDrive and also -HDD can be opened within thunar (read-write-access), and also Eject Volume is working perfect.

So, usage of kernel-510 solved issue with NTFS USB-PenDrives ;-)

Many thanks to Thierry for his great support!
5
Installation / Re: run install-nutyx failure
« Last post by Thierry on Mon May 30 18:36:06 2022 »
6
Installation / Re: run install-nutyx failure
« Last post by dude2040 on Mon May 30 09:53:51 2022 »
When I said fix it I meant fixed the libarchive problem but still have the error I originally posted.
7
Installation / Re: run install-nutyx failure
« Last post by dude2040 on Mon May 30 09:49:17 2022 »
Hi Thierry,

Appreciate the reply.

I tried it with Ubuntu 18.02 on x86_64 and i686 platforms.  Due to missing libarchive I executed apt install libarchive-tools which fixed it.

When I tried it on my raspberry pi 4 with ubuntu 22.04 I got another error

variable PackageFileName is not set

umount: /mnt/hd/var/lib/pkg/depot: not mounted

I tried also with a live distribution void and got the libarchive error but persists despite installing it.

Is there a live distribution you can recommend?
8
Installation / Re: run install-nutyx failure
« Last post by Thierry on Sun May 29 17:44:53 2022 »
Welcome on NuTyX forum.

About your issue. I guess you try to install NuTyX via another distribution.

This problem can not really solved. I did a lot of tests on differents distributions.
Not all accept the pkgadd command.

What's the name of the distribution you are trying from ?

Best regards,
Thierry
9
Installation / run install-nutyx failure
« Last post by dude2040 on Sun May 29 16:35:08 2022 »
Get this error when I run the shell script

pkgadd: dl-call-libc-early-init.c:37: _dl_call_libc_early_init: Assertion `sym != NULL' failed
10
Installation / Re: Encrypted Installation
« Last post by ndawka on Sat May 28 12:10:33 2022 »
Found a french tutorial: https://nutyx.org/fr/?page=cryptsetup-install

This is exactly what I have been looking for! Thank you so much!
Pages: [1] 2 3 ... 10